<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class Hierarchy</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">&nbsp;</td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<center><b>
 [ <a href="module-tree.html">Module Hierarchy</a>
 | <a href="class-tree.html">Class Hierarchy</a> ]
</b></center><br />
<h1 class="epydoc">Class Hierarchy</h1>
<ul class="nomargin-top">
    <li> <strong class="uidlink"><a href="pyxmpp.cache.Cache-class.html">pyxmpp.cache.Cache</a></strong>:
      <em class="summary">Caching proxy for object retrieval and caching.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.cache.CacheFetcher-class.html">pyxmpp.cache.CacheFetcher</a></strong>:
      <em class="summary">Base class for cache object fetchers -- classes responsible for
retrieving objects from network.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.disco.DiscoCacheFetcherBase-class.html">pyxmpp.jabber.disco.DiscoCacheFetcherBase</a></strong>:
      <em class="summary">Base class for disco cache fetchers.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.cache.CacheSuite-class.html">pyxmpp.cache.CacheSuite</a></strong>:
      <em class="summary">Caching proxy for object retrieval and caching.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.client.Client-class.html">pyxmpp.client.Client</a></strong>:
      <em class="summary">Base class for an XMPP-IM client.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.client.JabberClient-class.html">pyxmpp.jabber.client.JabberClient</a></strong>:
      <em class="summary">Base class for a Jabber client.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core.ClientAuthenticator-class.html">pyxmpp.sasl.core.ClientAuthenticator</a></strong>:
      <em class="summary">Base class for client authenticators.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator-class.html">pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator</a></strong>:
      <em class="summary">Provides PLAIN SASL authentication for a client.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.external.ExternalClientAuthenticator-class.html">pyxmpp.sasl.external.ExternalClientAuthenticator</a></strong>:
      <em class="summary">Provides client-side External SASL (TLS-Identify) authentication.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.plain.PlainClientAuthenticator-class.html">pyxmpp.sasl.plain.PlainClientAuthenticator</a></strong>:
      <em class="summary">Provides PLAIN SASL authentication for a client.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.component.Component-class.html">pyxmpp.jabberd.component.Component</a></strong>:
      <em class="summary">Jabber external component (&quot;jabber:component:accept&quot; protocol) interface
implementation.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.error.ErrorNode-class.html">pyxmpp.error.ErrorNode</a></strong>:
      <em class="summary">Base class for both XMPP stream and stanza errors</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.error.StanzaErrorNode-class.html">pyxmpp.error.StanzaErrorNode</a></strong>:
      <em class="summary">Stanza error element.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.error.StreamErrorNode-class.html">pyxmpp.error.StreamErrorNode</a></strong>:
      <em class="summary">Stream error element.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="zope.interface.Interface-class.html">zope.interface.Interface</a></strong>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces.IPyXMPPHelper-class.html">pyxmpp.interfaces.IPyXMPPHelper</a></strong>:
      <em class="summary">Base for all interfaces used as PyXMPP helpers.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces.IFeaturesProvider-class.html">pyxmpp.interfaces.IFeaturesProvider</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces.IIqHandlersProvider-class.html">pyxmpp.interfaces.IIqHandlersProvider</a></strong>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces.IStanzaHandlersProvider-class.html">pyxmpp.interfaces.IStanzaHandlersProvider</a></strong>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces.IMessageHandlersProvider-class.html">pyxmpp.interfaces.IMessageHandlersProvider</a></strong>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces.IStanzaHandlersProvider-class.html">pyxmpp.interfaces.IStanzaHandlersProvider</a></strong>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces.IPresenceHandlersProvider-class.html">pyxmpp.interfaces.IPresenceHandlersProvider</a></strong>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces.IStanzaHandlersProvider-class.html">pyxmpp.interfaces.IStanzaHandlersProvider</a></strong>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmppstringprep.LookupFunction-class.html">pyxmpp.xmppstringprep.LookupFunction</a></strong>:
      <em class="summary">Class for looking up RFC 3454 tables using function.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmppstringprep.LookupTable-class.html">pyxmpp.xmppstringprep.LookupTable</a></strong>:
      <em class="summary">Class for looking up RFC 3454 tables using a dictionary and/or list of ranges.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html">pyxmpp.jabber.muc.MucRoomHandler</a></strong>:
      <em class="summary">Base class for MUC room handlers.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html">pyxmpp.jabber.muc.MucRoomManager</a></strong>:
      <em class="summary">Manage collection of MucRoomState objects and dispatch events.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muc.MucRoomState-class.html">pyxmpp.jabber.muc.MucRoomState</a></strong>:
      <em class="summary">Describes the state of a MUC room, handles room events
and provides an interface for room actions.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muc.MucRoomUser-class.html">pyxmpp.jabber.muc.MucRoomUser</a></strong>:
      <em class="summary">Describes a user of a MUC room.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html">pyxmpp.jabber.muccore.MucStanzaExt</a></strong>:
      <em class="summary">Base class for MUC specific stanza extensions.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucIq-class.html">pyxmpp.jabber.muccore.MucIq</a></strong>:
      <em class="summary">Extend <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a> with MUC related interface.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucPresence-class.html">pyxmpp.jabber.muccore.MucPresence</a></strong>:
      <em class="summary">Extend <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a> with MUC related interface.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core.PasswordManager-class.html">pyxmpp.sasl.core.PasswordManager</a></strong>:
      <em class="summary">Base class for password managers.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html">pyxmpp.streamsasl.StreamSASLMixIn</a></strong>:
      <em class="summary">SASL authentication mix-in class for XMPP stream.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.stream.Stream-class.html">pyxmpp.stream.Stream</a></strong>:
      <em class="summary">Generic XMPP stream class.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.clientstream.ClientStream-class.html">pyxmpp.clientstream.ClientStream</a></strong>:
      <em class="summary">Handles XMPP-IM client connection stream.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html">pyxmpp.jabber.clientstream.LegacyClientStream</a></strong>:
      <em class="summary">Handles Jabber (both XMPP and legacy protocol) client connection stream.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html">pyxmpp.jabberd.componentstream.ComponentStream</a></strong>:
      <em class="summary">Handles jabberd component (jabber:component:accept) connection stream.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmppstringprep.Profile-class.html">pyxmpp.xmppstringprep.Profile</a></strong>:
      <em class="summary">Base class for stringprep profiles.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core.Reply-class.html">pyxmpp.sasl.core.Reply</a></strong>:
      <em class="summary">Base class for SASL authentication reply objects.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core.Challenge-class.html">pyxmpp.sasl.core.Challenge</a></strong>:
      <em class="summary">The challenge SASL message (server's challenge for the client).</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core.Failure-class.html">pyxmpp.sasl.core.Failure</a></strong>:
      <em class="summary">The failure SASL message.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core.Response-class.html">pyxmpp.sasl.core.Response</a></strong>:
      <em class="summary">The response SASL message (clients's reply the the server's challenge).</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core.Success-class.html">pyxmpp.sasl.core.Success</a></strong>:
      <em class="summary">The success SASL message (sent by the server on authentication success).</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">libxml2.SAXCallback</strong>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core.ServerAuthenticator-class.html">pyxmpp.sasl.core.ServerAuthenticator</a></strong>:
      <em class="summary">Base class for server authenticators.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator-class.html">pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator</a></strong>:
      <em class="summary">Provides DIGEST-MD5 SASL authentication for a server.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.plain.PlainServerAuthenticator-class.html">pyxmpp.sasl.plain.PlainServerAuthenticator</a></strong>:
      <em class="summary">Provides PLAIN SASL authentication for a server.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.stanza.Stanza-class.html">pyxmpp.stanza.Stanza</a></strong>:
      <em class="summary">Base class for all XMPP stanzas.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.iq.Iq-class.html">pyxmpp.iq.Iq</a></strong>:
      <em class="summary">Wraper object for &lt;iq /&gt; stanzas.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucIq-class.html">pyxmpp.jabber.muccore.MucIq</a></strong>:
      <em class="summary">Extend <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a> with MUC related interface.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.message.Message-class.html">pyxmpp.message.Message</a></strong>:
      <em class="summary">Wraper object for &lt;message /&gt; stanzas.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.presence.Presence-class.html">pyxmpp.presence.Presence</a></strong>:
      <em class="summary">Wraper object for &lt;presence /&gt; stanzas.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucPresence-class.html">pyxmpp.jabber.muccore.MucPresence</a></strong>:
      <em class="summary">Extend <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a> with MUC related interface.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html">pyxmpp.stanzaprocessor.StanzaProcessor</a></strong>:
      <em class="summary">Universal stanza handler/router class.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.streambase.StreamBase-class.html">pyxmpp.streambase.StreamBase</a></strong>:
      <em class="summary">Base class for a generic XMPP stream.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.stream.Stream-class.html">pyxmpp.stream.Stream</a></strong>:
      <em class="summary">Generic XMPP stream class.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.clientstream.ClientStream-class.html">pyxmpp.clientstream.ClientStream</a></strong>:
      <em class="summary">Handles XMPP-IM client connection stream.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html">pyxmpp.jabber.clientstream.LegacyClientStream</a></strong>:
      <em class="summary">Handles Jabber (both XMPP and legacy protocol) client connection stream.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html">pyxmpp.jabberd.componentstream.ComponentStream</a></strong>:
      <em class="summary">Handles jabberd component (jabber:component:accept) connection stream.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmlextra.StreamHandler-class.html">pyxmpp.xmlextra.StreamHandler</a></strong>:
      <em class="summary">Base class for stream handler.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.streambase.StreamBase-class.html">pyxmpp.streambase.StreamBase</a></strong>:
      <em class="summary">Base class for a generic XMPP stream.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.stream.Stream-class.html">pyxmpp.stream.Stream</a></strong>:
      <em class="summary">Generic XMPP stream class.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.clientstream.ClientStream-class.html">pyxmpp.clientstream.ClientStream</a></strong>:
      <em class="summary">Handles XMPP-IM client connection stream.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html">pyxmpp.jabber.clientstream.LegacyClientStream</a></strong>:
      <em class="summary">Handles Jabber (both XMPP and legacy protocol) client connection stream.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html">pyxmpp.jabberd.componentstream.ComponentStream</a></strong>:
      <em class="summary">Handles jabberd component (jabber:component:accept) connection stream.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmlextra.StreamReader-class.html">pyxmpp.xmlextra.StreamReader</a></strong>:
      <em class="summary">A simple push-parser interface for XML streams.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html">pyxmpp.streamtls.StreamTLSMixIn</a></strong>:
      <em class="summary">Mix-in class providing TLS support for an XMPP stream.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.stream.Stream-class.html">pyxmpp.stream.Stream</a></strong>:
      <em class="summary">Generic XMPP stream class.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.clientstream.ClientStream-class.html">pyxmpp.clientstream.ClientStream</a></strong>:
      <em class="summary">Handles XMPP-IM client connection stream.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html">pyxmpp.jabber.clientstream.LegacyClientStream</a></strong>:
      <em class="summary">Handles Jabber (both XMPP and legacy protocol) client connection stream.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html">pyxmpp.jabberd.componentstream.ComponentStream</a></strong>:
      <em class="summary">Handles jabberd component (jabber:component:accept) connection stream.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.streamtls.TLSSettings-class.html">pyxmpp.streamtls.TLSSettings</a></strong>:
      <em class="summary">Storage for TLS-related settings of an XMPP stream.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardField-class.html">pyxmpp.jabber.vcard.VCardField</a></strong>:
      <em class="summary">Base class for vCard fields.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardAdr-class.html">pyxmpp.jabber.vcard.VCardAdr</a></strong>:
      <em class="summary">Address vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardCategories-class.html">pyxmpp.jabber.vcard.VCardCategories</a></strong>:
      <em class="summary">Categories vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardEmail-class.html">pyxmpp.jabber.vcard.VCardEmail</a></strong>:
      <em class="summary">E-mail vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardGeo-class.html">pyxmpp.jabber.vcard.VCardGeo</a></strong>:
      <em class="summary">Geographical location vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardImage-class.html">pyxmpp.jabber.vcard.VCardImage</a></strong>:
      <em class="summary">Image vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardJID-class.html">pyxmpp.jabber.vcard.VCardJID</a></strong>:
      <em class="summary">JID vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardKey-class.html">pyxmpp.jabber.vcard.VCardKey</a></strong>:
      <em class="summary">Key vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardLabel-class.html">pyxmpp.jabber.vcard.VCardLabel</a></strong>:
      <em class="summary">Address label vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardName-class.html">pyxmpp.jabber.vcard.VCardName</a></strong>:
      <em class="summary">Name vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardOrg-class.html">pyxmpp.jabber.vcard.VCardOrg</a></strong>:
      <em class="summary">Organization vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardPrivacy-class.html">pyxmpp.jabber.vcard.VCardPrivacy</a></strong>:
      <em class="summary">Privacy vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardSound-class.html">pyxmpp.jabber.vcard.VCardSound</a></strong>:
      <em class="summary">Sound vCard field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardString-class.html">pyxmpp.jabber.vcard.VCardString</a></strong>:
      <em class="summary">Generic class for all standard text fields in the vCard.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardXString-class.html">pyxmpp.jabber.vcard.VCardXString</a></strong>:
      <em class="summary">Generic class for all text vCard fields not defined in RFC 2426.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCardTel-class.html">pyxmpp.jabber.vcard.VCardTel</a></strong>:
      <em class="summary">Telephone vCard field.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmlextra._PythonReader-class.html" onclick="show_private();">pyxmpp.xmlextra._PythonReader</a></strong>:
      <em class="summary">Python-only stream reader.</em>
    </li>
    <li> <strong class="uidlink">object</strong>:
      <em class="summary">The most base type</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.interface_micro_impl.Attribute-class.html">pyxmpp.interface_micro_impl.Attribute</a></strong>
    </li>
    <li> <strong class="uidlink">exceptions.BaseException</strong>:
      <em class="summary">Common base class for all exceptions</em>
    <ul>
    <li> <strong class="uidlink">exceptions.Exception</strong>:
      <em class="summary">Common base class for all non-exit exceptions.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.Empty-class.html">pyxmpp.jabber.vcard.Empty</a></strong>:
      <em class="summary">Exception raised when parsing empty vcard element.</em>
    </li>
    <li> <strong class="uidlink">exceptions.StandardError</strong>:
      <em class="summary">Base class for all standard Python exceptions that do not represent
        interpreter exiting.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.Error-class.html">pyxmpp.exceptions.Error</a></strong>:
      <em class="summary">Base class for all PyXMPP exceptions.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.ClientError-class.html">pyxmpp.exceptions.ClientError</a></strong>:
      <em class="summary">Raised on a client error.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.FatalClientError-class.html">pyxmpp.exceptions.FatalClientError</a></strong>:
      <em class="summary">Raised on a fatal client error.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.JIDError-class.html">pyxmpp.exceptions.JIDError</a></strong>:
      <em class="summary">Exception raised when invalid JID is used</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.JIDMalformedProtocolError-class.html">pyxmpp.exceptions.JIDMalformedProtocolError</a></strong>:
      <em class="summary">Raised when invalid JID is encountered.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.ProtocolError-class.html">pyxmpp.exceptions.ProtocolError</a></strong>:
      <em class="summary">Raised when there is something wrong with a stanza processed.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.BadRequestProtocolError-class.html">pyxmpp.exceptions.BadRequestProtocolError</a></strong>:
      <em class="summary">Raised when invalid stanza is processed and 'bad-request' error should be reported.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.FeatureNotImplementedProtocolError-class.html">pyxmpp.exceptions.FeatureNotImplementedProtocolError</a></strong>:
      <em class="summary">Raised when stanza requests a feature which is not (yet) implemented.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.JIDMalformedProtocolError-class.html">pyxmpp.exceptions.JIDMalformedProtocolError</a></strong>:
      <em class="summary">Raised when invalid JID is encountered.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.StreamError-class.html">pyxmpp.exceptions.StreamError</a></strong>:
      <em class="summary">Base class for all stream errors.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.ClientStreamError-class.html">pyxmpp.exceptions.ClientStreamError</a></strong>:
      <em class="summary">Raised on a client stream error.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.LegacyAuthenticationError-class.html">pyxmpp.exceptions.LegacyAuthenticationError</a></strong>:
      <em class="summary">Raised on a legacy authentication error.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.RegistrationError-class.html">pyxmpp.exceptions.RegistrationError</a></strong>:
      <em class="summary">Raised on a in-band registration error.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.ComponentStreamError-class.html">pyxmpp.exceptions.ComponentStreamError</a></strong>:
      <em class="summary">Raised on a component error.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.FatalComponentStreamError-class.html">pyxmpp.exceptions.FatalComponentStreamError</a></strong>:
      <em class="summary">Raised on a fatal component error.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.FatalStreamError-class.html">pyxmpp.exceptions.FatalStreamError</a></strong>:
      <em class="summary">Base class for all fatal Stream exceptions.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.DNSError-class.html">pyxmpp.exceptions.DNSError</a></strong>:
      <em class="summary">Raised when no host name could be resolved for the target.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.UnexpectedCNAMEError-class.html">pyxmpp.exceptions.UnexpectedCNAMEError</a></strong>:
      <em class="summary">Raised when CNAME record was found when A or AAAA was expected.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.FatalClientStreamError-class.html">pyxmpp.exceptions.FatalClientStreamError</a></strong>:
      <em class="summary">Raised on a fatal client stream error.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.FatalComponentStreamError-class.html">pyxmpp.exceptions.FatalComponentStreamError</a></strong>:
      <em class="summary">Raised on a fatal component error.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.StreamAuthenticationError-class.html">pyxmpp.exceptions.StreamAuthenticationError</a></strong>:
      <em class="summary">Raised when stream authentication fails.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.SASLAuthenticationFailed-class.html">pyxmpp.exceptions.SASLAuthenticationFailed</a></strong>:
      <em class="summary">Raised when stream SASL authentication fails.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.SASLMechanismNotAvailable-class.html">pyxmpp.exceptions.SASLMechanismNotAvailable</a></strong>:
      <em class="summary">Raised when none of SASL authentication mechanisms requested is
available.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.SASLNotAvailable-class.html">pyxmpp.exceptions.SASLNotAvailable</a></strong>:
      <em class="summary">Raised when SASL authentication is requested, but not available.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.StreamParseError-class.html">pyxmpp.exceptions.StreamParseError</a></strong>:
      <em class="summary">Raised when invalid XML is received in an XMPP stream.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.TLSError-class.html">pyxmpp.exceptions.TLSError</a></strong>:
      <em class="summary">Raised on TLS error during stream processing.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.TLSNegotiatedButNotAvailableError-class.html">pyxmpp.exceptions.TLSNegotiatedButNotAvailableError</a></strong>:
      <em class="summary">Raised on TLS error during stream processing.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.TLSNegotiationFailed-class.html">pyxmpp.exceptions.TLSNegotiationFailed</a></strong>:
      <em class="summary">Raised when stream TLS negotiation fails.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.HostMismatch-class.html">pyxmpp.exceptions.HostMismatch</a></strong>:
      <em class="summary">Exception raised when the connected host name is other then requested.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.StreamEncryptionRequired-class.html">pyxmpp.exceptions.StreamEncryptionRequired</a></strong>:
      <em class="summary">Exception raised when stream encryption is requested, but not used.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.StringprepError-class.html">pyxmpp.exceptions.StringprepError</a></strong>:
      <em class="summary">Exception raised when string preparation results in error.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">exceptions.ValueError</strong>:
      <em class="summary">Inappropriate argument value (of correct type).</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.JIDError-class.html">pyxmpp.exceptions.JIDError</a></strong>:
      <em class="summary">Exception raised when invalid JID is used</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions.JIDMalformedProtocolError-class.html">pyxmpp.exceptions.JIDMalformedProtocolError</a></strong>:
      <em class="summary">Raised when invalid JID is encountered.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.cache.CacheItem-class.html">pyxmpp.cache.CacheItem</a></strong>:
      <em class="summary">An item in a cache.</em>
    </li>
    <li> <strong class="uidlink">zope.interface.interface.Element</strong>
    <ul>
    <li> <strong class="uidlink"><a href="zope.interface.interface.Attribute-class.html">zope.interface.interface.Attribute</a></strong>:
      <em class="summary">Attribute descriptions</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.HistoryParameters-class.html">pyxmpp.jabber.muccore.HistoryParameters</a></strong>:
      <em class="summary">Provides parameters for MUC history management</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interface_micro_impl.InterfaceClass-class.html">pyxmpp.interface_micro_impl.InterfaceClass</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jid.JID-class.html">pyxmpp.jid.JID</a></strong>:
      <em class="summary">JID.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucItemBase-class.html">pyxmpp.jabber.muccore.MucItemBase</a></strong>:
      <em class="summary">Base class for &lt;status/&gt; and &lt;item/&gt; element wrappers.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucItem-class.html">pyxmpp.jabber.muccore.MucItem</a></strong>:
      <em class="summary">MUC &lt;item/&gt; element -- describes a room occupant.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucStatus-class.html">pyxmpp.jabber.muccore.MucStatus</a></strong>:
      <em class="summary">MUC &lt;item/&gt; element - describes special meaning of a stanza</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.objects.StanzaPayloadObject-class.html">pyxmpp.objects.StanzaPayloadObject</a></strong>:
      <em class="summary">Base class for objects that may be used as XMPP stanza payload and don't keep
internal XML representation, only parsed values.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.delay.Delay-class.html">pyxmpp.jabber.delay.Delay</a></strong>:
      <em class="summary">Delayed delivery tag.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.dataforms.Field-class.html">pyxmpp.jabber.dataforms.Field</a></strong>:
      <em class="summary">A data form field.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.dataforms.Form-class.html">pyxmpp.jabber.dataforms.Form</a></strong>:
      <em class="summary">A JEP-0004 compliant data form.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.dataforms.Item-class.html">pyxmpp.jabber.dataforms.Item</a></strong>:
      <em class="summary">An item of multi-item form data (e.g.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.dataforms.Option-class.html">pyxmpp.jabber.dataforms.Option</a></strong>:
      <em class="summary">One of optional data form field values.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.register.Register-class.html">pyxmpp.jabber.register.Register</a></strong>:
      <em class="summary">Delayed delivery tag.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.roster.Roster-class.html">pyxmpp.roster.Roster</a></strong>:
      <em class="summary">Class representing XMPP-IM roster.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.roster.RosterItem-class.html">pyxmpp.roster.RosterItem</a></strong>:
      <em class="summary">Roster item.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard.VCard-class.html">pyxmpp.jabber.vcard.VCard</a></strong>:
      <em class="summary">Jabber (vcard-temp) or RFC2426 vCard.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.objects.StanzaPayloadWrapperObject-class.html">pyxmpp.objects.StanzaPayloadWrapperObject</a></strong>:
      <em class="summary">Base class for objects that may be used as XMPP stanza payload and maintain
an internal XML representation of self.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.disco.DiscoIdentity-class.html">pyxmpp.jabber.disco.DiscoIdentity</a></strong>:
      <em class="summary">An &lt;identity/&gt; element of disco#info reply.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html">pyxmpp.jabber.disco.DiscoInfo</a></strong>:
      <em class="summary">A disco#info response object.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.disco.DiscoItem-class.html">pyxmpp.jabber.disco.DiscoItem</a></strong>:
      <em class="summary">An item of disco#items reply.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.disco.DiscoItems-class.html">pyxmpp.jabber.disco.DiscoItems</a></strong>:
      <em class="summary">A disco#items response or publish-request object.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucXBase-class.html">pyxmpp.jabber.muccore.MucXBase</a></strong>:
      <em class="summary">Base class for MUC-specific stanza payload - wrapper around
an XML element.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucOwnerX-class.html">pyxmpp.jabber.muccore.MucOwnerX</a></strong>:
      <em class="summary">Wrapper for <a class="rst-reference external" href="http://www.jabber.org/protocol/muc#owner" target="_top">http://www.jabber.org/protocol/muc#owner</a> namespaced
stanza payload &quot;x&quot; elements and usually containing information
about a room user.</em>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucUserX-class.html">pyxmpp.jabber.muccore.MucUserX</a></strong>:
      <em class="summary">Wrapper for <a class="rst-reference external" href="http://www.jabber.org/protocol/muc#user" target="_top">http://www.jabber.org/protocol/muc#user</a> namespaced
stanza payload &quot;x&quot; elements and usually containing information
about a room user.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucAdminQuery-class.html">pyxmpp.jabber.muccore.MucAdminQuery</a></strong>:
      <em class="summary">Wrapper for <a class="rst-reference external" href="http://www.jabber.org/protocol/muc#admin" target="_top">http://www.jabber.org/protocol/muc#admin</a> namespaced
IQ stanza payload &quot;query&quot; elements and usually describing
administrative actions or their results.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore.MucX-class.html">pyxmpp.jabber.muccore.MucX</a></strong>:
      <em class="summary">Wrapper for <a class="rst-reference external" href="http://www.jabber.org/protocol/muc" target="_top">http://www.jabber.org/protocol/muc</a> namespaced
stanza payload &quot;x&quot; elements.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">dict</strong>:
      <em class="summary">dict() -&gt; new empty dictionary
dict(mapping) -&gt; new dictionary initialized from a mapping object's
    (key, value) pairs
dict(iterable) -&gt; new dictionary initialized as if via:
    d = {}
    for k, v in iterable:
        d[k] = v
dict(**kwargs) -&gt; new dictionary initialized with the name=value pairs
    in the keyword argument list.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.expdict.ExpiringDictionary-class.html">pyxmpp.expdict.ExpiringDictionary</a></strong>:
      <em class="summary">An extension to standard Python dictionary objects which implements item
expiration.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
</ul>
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:57 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
